
#ifndef ROTATION_H
#define ROTATION_H

#include "data_tank.h"
#include "stdincl.h"
#include "vector.h"

class Rotation {
  public:
  
  float m[9];
  
  Rotation ( const Vector& v);
  Rotation ( const Vector& axis, float angle);
  Rotation ( float pitch, float yaw, float roll);
  Rotation ();
  ~Rotation () {}
  
};

Vector rotate_vector( const Vector& v, const Rotation& r);

#endif
